Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 86219

Summary: Alt-Sysrq-M panics ia64 machines
Product: Red Hat Enterprise Linux 2.1 Reporter: Dave Anderson <anderson>
Component: kernelAssignee: Dave Anderson <anderson>
Status: CLOSED ERRATA QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 2.1CC: anderson, coughlan, jbaron
Target Milestone: ---   
Target Release: ---   
Hardware: ia64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-09-28 17:51:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dave Anderson 2003-03-17 14:24:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-e.3enterprise i686)

Description of problem:
Alt-Sysrq-M panics the machine on what appears to be
an attempted access of a virtual mem_map page that
does not exist (i.e. has no backing)

Version-Release number of selected component (if applicable):
kernel-2.4.18-e.25

How reproducible:
Always

Steps to Reproduce:
1. Enter Alt-Sysrq-M on a machine w/sysrq enabled
2.
3.
    

Actual Results:  
# SysRq : Show Memory
Unable to handle kernel paging request at virtual address a0007fff8eaf8000
swapper[0]: Oops 8813272891392
--> show_mem [kernel] 0x1a0 <-- 

Pid: 0, comm:              swapper
psr : 0000101008026018 ifs : 800000000000058d ip  : [<e000000004442080>]    Not
tainted
unat: 0000000000000000 pfs : 000000000000058d rsc : 0000000000000003
rnat: 0000000000000000 bsps: e000000004ccff10 pr  : 0000000000805965
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70033f
b0  : e000000004442050 b6  : e00000000476bfa0 b7  : e00000000440d930
f6  : 1003e00000000000fedb0 f7  : 0ffdaa200000000000000
f8  : 100008000000000000000 f9  : 10002a000000000000000
r1  : e000000004ccff10 r2  : 0000000000000000 r3  : e00000000488e84d
r8  : 0000000000000001 r9  : 0000000000000000 r10 : 000000000000172c
r11 : 000000000000058d r12 : e0000040fffc7c60 r13 : e0000040fffc0000
r14 : a0007fff8e400000 r15 : a0007fff8eaf8000 r16 : a0007fff8eaf7fd0
r17 : a0007fff8eaf7fe0 r18 : 000000000000ffff r19 : e000000004adb580
r20 : e000000004adb588 r21 : e000000004adb598 r22 : 000000000000ffff
r23 : 0000000000000000 r24 : 0000000000000058 r25 : 0000000000000059
r26 : 000000000000005a r27 : 0000000000000005 r28 : 0000000000000000
r29 : 0000000000000001 r30 : 0000000000000005 r31 : 0000000000000894

Call Trace: [<e000000004414870>] sp=0xe0000040fffc7850 bsp=0xe0000040fffc13d0
decoded to show_stack [kernel] 0x50 
[<e0000000044150a0>] sp=0xe0000040fffc7a10 bsp=0xe0000040fffc1378
decoded to show_regs [kernel] 0x7c0 
[<e000000004421c90>] sp=0xe0000040fffc7a30 bsp=0xe0000040fffc1350
decoded to die [kernel] 0x190 
[<e000000004443f00>] sp=0xe0000040fffc7a30 bsp=0xe0000040fffc12f0
decoded to ia64_do_page_fault [kernel] 0x780 
[<e00000000440dec0>] sp=0xe0000040fffc7ac0 bsp=0xe0000040fffc12f0
decoded to ia64_leave_kernel [kernel] 0x0 
[<e000000004442080>] sp=0xe0000040fffc7c60 bsp=0xe0000040fffc1288
decoded to show_mem [kernel] 0x1a0 
[<e000000004608460>] sp=0xe0000040fffc7c70 bsp=0xe0000040fffc1278
decoded to sysrq_handle_showmem [kernel] 0x20 
[<e000000004608920>] sp=0xe0000040fffc7c70 bsp=0xe0000040fffc1230
decoded to __handle_sysrq_nolock [kernel] 0x100 
[<e0000000046087f0>] sp=0xe0000040fffc7c70 bsp=0xe0000040fffc1200
decoded to handle_sysrq [kernel] 0x50 
[<e000000004602000>] sp=0xe0000040fffc7c70 bsp=0xe0000040fffc11c8
decoded to handle_scancode [kernel] 0x420 
[<a000000000144280>] sp=0xe0000040fffc7c80 bsp=0xe0000040fffc1198
decoded to emulate_raw [keybdev] 0x1c0 
[<a0000000001444e0>] sp=0xe0000040fffc7c80 bsp=0xe0000040fffc1160
decoded to keybdev_event [keybdev] 0x40
[<a000000000128a30>] sp=0xe0000040fffc7c80 bsp=0xe0000040fffc1120
decoded to input_event_Rsmp_38547b54 [input] 0x970 
[<a0000000001396f0>] sp=0xe0000040fffc7c80 bsp=0xe0000040fffc10c8
decoded to hidinput_hid_event [hid] 0x3d0 
[<a000000000132570>] sp=0xe0000040fffc7c80 bsp=0xe0000040fffc1090
decoded to hid_process_event [hid] 0x50 
[<a000000000132e10>] sp=0xe0000040fffc7c80 bsp=0xe0000040fffc1000
decoded to hid_input_field [hid] 0x830 
[<a000000000133150>] sp=0xe0000040fffc7cb0 bsp=0xe0000040fffc0fa8
decoded to hid_input_report [hid] 0x2b0 
[<a0000000001331f0>] sp=0xe0000040fffc7cb0 bsp=0xe0000040fffc0f88
decoded to hid_irq [hid] 0x50 
[<a000000000114ba0>] sp=0xe0000040fffc7cb0 bsp=0xe0000040fffc0f50
decoded to sohci_return_urb [usb-ohci] 0x180 
[<a00000000011b250>] sp=0xe0000040fffc7cb0 bsp=0xe0000040fffc0ed8
decoded to dl_done_list [usb-ohci] 0x230 
[<a00000000011d360>] sp=0xe0000040fffc7cb0 bsp=0xe0000040fffc0e88
decoded to hc_interrupt [usb-ohci] 0x180 
[<e000000004411370>] sp=0xe0000040fffc7cb0 bsp=0xe0000040fffc0e48
decoded to handle_IRQ_event [kernel] 0xf0 
[<e000000004411bd0>] sp=0xe0000040fffc7cb0 bsp=0xe0000040fffc0df0
decoded to do_IRQ [kernel] 0x310 
[<e000000004413e50>] sp=0xe0000040fffc7cc0 bsp=0xe0000040fffc0db0
decoded to ia64_handle_irq [kernel] 0xd0 
[<e00000000440dec0>] sp=0xe0000040fffc7cc0 bsp=0xe0000040fffc0db0
decoded to ia64_leave_kernel [kernel] 0x0 
[<e000000004415170>] sp=0xe0000040fffc7e60 bsp=0xe0000040fffc0d70
decoded to cpu_idle [kernel] 0x90 
[<e0000000048ac1c0>] sp=0xe0000040fffc7e60 bsp=0xe0000040fffc0d60
decoded to start_secondary [kernel] 0x80 
[<e0000000044081a0>] sp=0xe0000040fffc7e60 bsp=0xe0000040fffc0d60
decoded to start_ap [kernel] 0x1a0 
 <0>Kernel panic: not continuing
In interrupt handler - not syncing

Expected Results:  The memory region data should be displayed if the loglevel
is appropriate and the output stored in /var/log/messages.

Additional info:

Comment 1 Dave Anderson 2003-12-02 20:33:21 UTC
Jason has applied the RHEL3 patch to address this
problem, so it will be fixed in his next 2.1AS-IA64
kernel update release.